gnutls_cipher_add_auth(3)

NAME
gnutls_cipher_add_auth - API function

SYNOPSIS
#include <gnutls/crypto.h>

int gnutls_cipher_add_auth(gnutls_cipher_hd_t handle, const void * ptext, size_t ptext_size);

ARGUMENTS

gnutls_cipher_hd_t handle
    is a gnutls_cipher_hd_t type

const void * ptext
    the data to be authenticated

size_t ptext_size
    the length of the data

DESCRIPTION
This function operates on authenticated encryption with associated data (AEAD) ciphers and authenticate the input data. This function can only be called once and before any encryption operations.

RETURNS
Zero or a negative error code on error.

SINCE
3.0

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: https://www.gnutls.org

COPYRIGHT
Copyright © 2001- Free Software Foundation, Inc., and others.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

https://www.gnutls.org/manual/